Bug 183084 - Login Window Preferences - gdmsetup crashes
Login Window Preferences - gdmsetup crashes
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-25 21:04 EST by Tom Marchant
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-14 11:46:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Marchant 2006-02-25 21:04:35 EST
Description of problem:Attempt to set default login screen failed


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Select System
2.Select Administration
3.Select Login Screen
4.Enter root password
  
Actual results:
The Login Window Preferences window flashes on briefly and then disappears, as
if it had just crashed.  I tried again to be able to report accurately what I
saw, then a third time.  The third time the Login Window Preferences window
stayed on the screen.  I selected Happy Gnome with Browser, and as soon as I
clicked on it, the window disappeared again.  I tried this again and it worked.

I tried to invoke gdmsetup from a terminal and it didn't come back.  I used
ctrl-c to interrupt it, then tried a second time.  This is what I got back at
the terminal the second time:

*** glibc detected *** gdmsetup: double free or corruption (fasttop): 0x084d2dd0
 ***
======= Backtrace: =========
/lib/libc.so.6[0xb0bde8]
/lib/libc.so.6(__libc_free+0x79)[0xb0f2ed]
/usr/lib/libglib-2.0.so.0(g_free+0x31)[0x48dc581]
/usr/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x49)[0x1e07b9]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x11d)[0x1d2f9d]
/usr/lib/libgobject-2.0.so.0[0x1e51c5]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x823)[0x1e6623]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_by_name+0xee)[0x1e79be]
/usr/lib/libgtk-x11-2.0.so.0[0x4b9532a]
/usr/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x49)[0x1e07b9]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x11d)[0x1d2f9d]
/usr/lib/libgobject-2.0.so.0[0x1e51c5]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x823)[0x1e6623]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_by_name+0xee)[0x1e79be]
/usr/lib/libgtk-x11-2.0.so.0[0x4ba3427]
/usr/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x49)[0x1e07b9]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x11d)[0x1d2f9d]
/usr/lib/libgobject-2.0.so.0[0x1e51c5]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x823)[0x1e6623]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_by_name+0xee)[0x1e79be]
/usr/lib/libgtk-x11-2.0.so.0[0x4ba3427]
/usr/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x49)[0x1e07b9]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x11d)[0x1d2f9d]
/usr/lib/libgobject-2.0.so.0[0x1e51c5]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x823)[0x1e6623]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_by_name+0xee)[0x1e79be]
/usr/lib/libgtk-x11-2.0.so.0[0x4b9cbcc]
/usr/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x49)[0x1e07b9]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x11d)[0x1d2f9d]
/usr/lib/libgobject-2.0.so.0[0x1e51c5]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x823)[0x1e6623]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x1e68c9]
/usr/lib/libgtk-x11-2.0.so.0[0x4cb595f]
/usr/lib/libgtk-x11-2.0.so.0(gtk_tree_view_set_model+0x4cf)[0x4cc740f]
/usr/lib/libgtk-x11-2.0.so.0[0x4b990d6]
/usr/lib/libgtk-x11-2.0.so.0[0x4b991c0]
/usr/lib/libglib-2.0.so.0[0x48d5836]
/usr/lib/libglib-2.0.so.0(g_main_context_dispatch+0x16d)[0x48d511d]
/usr/lib/libglib-2.0.so.0[0x48d83af]
/usr/lib/libglib-2.0.so.0(g_main_loop_run+0x1a9)[0x48d8759]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main+0xb4)[0x4bf4724]
gdmsetup(main+0x2f3)[0x805e033]
/lib/libc.so.6(__libc_start_main+0xdc)[0xabd7a4]
gdmsetup[0x804fea1]
======= Memory map: ========
00101000-00128000 r-xp 00000000 fd:04 68016      /usr/lib/libpng12.so.0.1.2.8
00128000-00129000 rwxp 00026000 fd:04 68016      /usr/lib/libpng12.so.0.1.2.8
0012b000-00163000 r-xp 00000000 fd:04 70650      /usr/lib/libfontconfig.so.1.0.4
00163000-00167000 rwxp 00037000 fd:04 70650      /usr/lib/libfontconfig.so.1.0.4
00167000-00168000 rwxp 00167000 00:00 0
00168000-0016e000 r-xp 00000000 fd:04 131894     /usr/lib/libglade/2.0/libgnome. so
0016e000-0016f000 rwxp 00006000 fd:04 131894     /usr/lib/libglade/2.0/libgnome. so
0016f000-00180000 r-xp 00000000 fd:03 226548     /lib/libnsl-2.3.90.so
00180000-00181000 r-xp 00010000 fd:03 226548     /lib/libnsl-2.3.90.so
00181000-00182000 rwxp 00011000 fd:03 226548     /lib/libnsl-2.3.90.so
00182000-00184000 rwxp 00182000 00:00 0
00186000-0018a000 r-xp 00000000 fd:04 70646      /usr/lib/libXfixes.so.3.0.0
0018a000-0018b000 rwxp 00003000 fd:04 70646      /usr/lib/libXfixes.so.3.0.0
0018d000-00195000 r-xp 00000000 fd:04 70653      /usr/lib/libSM.so.6.0.0
00195000-00196000 rwxp 00008000 fd:04 70653      /usr/lib/libSM.so.6.0.0
00196000-00199000 r-xp 00000000 fd:04 131892     /usr/lib/libglade/2.0/libbonobo .so
00199000-0019a000 rwxp 00002000 fd:04 131892     /usr/lib/libglade/2.0/libbonobo .so
0019a000-0019c000 r-xp 00000000 fd:04 131794     /usr/lib/pango/1.5.0/modules/pa
ngo-basic-fc.so
0019c000-0019d000 rwxp 00002000 fd:04 131794     /usr/lib/pango/1.5.0/modules/pa
ngo-basic-fc.so
001a6000-001c7000 r-xp 00000000 fd:04 70638      /usr/lib/libjpeg.so.62.0.0
001c7000-001c8000 rwxp 00020000 fd:04 70638      /usr/lib/libjpeg.so.62.0.0
001ca000-0020a000 r-xp 00000000 fd:04 70663      /usr/lib/libgobject-2.0.so.0.90 2.4
0020a000-0020b000 rwxp 00040000 fd:04 70663      /usr/lib/libgobject-2.0.so.0.90 2.4
0020d000-00210000 r-xp 00000000 fd:04 70665      /usr/lib/libgmodule-2.0.so.0.90 2.4
00210000-00211000 rwxp 00002000 fd:04 70665      /usr/lib/libgmodule-2.0.so.0.90 2.4
0021b000-00234000 r-xp 00000000 fd:03 226535     /lib/ld-2.3.90.so
00234000-00235000 r-xp 00018000 fd:03 226535     /lib/ld-2.3.90.so
00235000-00236000 rwxp 00019000 fd:03 226535     /lib/ld-2.3.90.so
00236000-0023a000 r-xp 00000000 fd:04 198864     /usr/lib/gtk-2.0/2.4.0/loaders/
libpixbufloader-png.so
0023a000-0023b000 rwxp 00003000 fd:04 198864     /usr/lib/gtk-2.0/2.4.0/loaders/
libpixbufloader-png.so
0023b000-00252000 r-xp 00000000 fd:04 70652      /usr/lib/libICE.so.6.3.0
00252000-00253000 rwxp 00016000 fd:04 70652      /usr/lib/libICE.so.6.3.0
00253000-00255000 rwxp 00253000 00:00 0
00255000-00264000 r-xp 00000000 fd:04 131871     /usr/lib/gtk-2.0/2.4.0/engines/
libclearlooks.so
00264000-00265000 rwxp 0000f000 fd:04 131871     /usr/lib/gtk-2.0/2.4.0/engines/
libclearlooks.so
00265000-00277000 r-xp 00000000 fd:04 262623     /usr/lib/gtk-2.0/2.4.0/filesyst
ems/libgnome-vfs.so
00277000-00278000 rwxp 00012000 fd:04 262623     /usr/lib/gtk-2.0/2.4.0/filesyst
ems/libgnome-vfs.so
00278000-00282000 r-xp 00000000 fd:04 230822     /usr/lib/gnome-vfs-2.0/modules/
libfile.so
00282000-00283000 rwxp 0000a000 fd:04 230822     /usr/lib/gnome-vfs-2.0/modules/
libfile.so
00283000-0028e000 r-xp 00000000 fd:03 226541     /lib/libgcc_s-4.1.0-20060214.so .1
0028e000-0028f000 rwxp 0000a000 fd:03 226541     /lib/libgcc_s-4.1.0-20060214.so .1
0029c000-0029f000 r-xp 00000000 fd:03 226557     /lib/libcap.so.1.10
0029f000-002a0000 rwxp 00002000 fd:03 226557     /lib/libcap.so.1.10
002a2000-002a6000 r-xp 00000000 fd:04 70664      /usr/lib/libgthread-2.0.so.0.90 2.4
002a6000-002a7000 rwxp 00003000 fd:04 70664      /usr/lib/libgthread-2.0.so.0.90 2.4
002a9000-002af000 r-xp 00000000 fd:03 226551     /lib/librt-2.3.90.so
002af000-002b0000 r-xp 00005000 fd:03 226551     /lib/librt-2.3.90.so
002b0000-002b1000 rwxp 00006000 fd:03 226551     /lib/librt-2.3.90.so
002b3000-002b7000 r-xp 00000000 fd:04 70698      /usr/lib/libORBitCosNaming-2.so
.0.1.0
002b7000-002b8000 rwxp 00004000 fd:04 70698      /usr/lib/libORBitCosNaming-2.so
.0.1.0
002ba000-002ed000 r-xp 00000000 fd:04 70697      /usr/lib/libgconf-2.so.4.1.0
002ed000-002f0000 rwxp 00032000 fd:04 70697      /usr/lib/libgconf-2.so.4.1.0
002f2000-00305000 r-xp 00000000 fd:04 70699      /usr/lib/libbonobo-activation.s
o.4.0.0
00305000-00307000 rwxp 00013000 fd:04 70699      /usr/lib/libbonobo-activation.s
o.4.0.0
00309000-00318000 r-xp 00000000 fd:03 224741     /lib/libresolv-2.3.90.so
00318000-00319000 r-xp 0000e000 fd:03 224741     /lib/libresolv-2.3.90.so
00319000-0031a000 rwxp 0000f000 fd:03 224741     /lib/libresolv-2.3.90.so
0031a000-0031c000 rwxp 0031a000 00:00 0
0031c000-0038e000 r-xp 00000000 fd:03 226558     /lib/libdbus-1.so.2.0.0
0038e000-0038f000 rwxp 00072000 fd:03 226558     /lib/libdbus-1.so.2.0.0
003d4000-003dd000 r-xp 00000000 fd:03 224713     /lib/libnss_files-2.3.90.so
003dd000-003de000 r-xp 00008000 fd:03 224713     /lib/libnss_files-2.3.90.so
003de000-003df000 rwxp 00009000 fd:03 224713     /lib/libnss_files-2.3.90.so
00455000-00457000 r-xp 00000000 fd:03 226544     /lib/libcom_err.so.2.1
00457000-00458000 rwxp 00001000 fd:03 226544     /lib/libcom_err.so.2.1
0045a000-0047e000 r-xp 00000000 fd:04 70658      /usr/lib/libk5crypto.so.3.0
0047e000-0047f000 rwxp 00024000 fd:04 70658      /usr/lib/libk5crypto.so.3.0
00481000-004f4000 r-xp 00000000 fd:04 70659      /usr/lib/libkrb5.so.3.2
004f4000-004f6000 rwxp 00073000 fd:04 70659      /usr/lib/libkrb5.so.3.2
004f8000-004fb000 r-xp 00000000 fd:04 69247      /usr/lib/libkrb5support.so.0.0
004fb000-004fc000 rwxp 00002000 fd:04 69247      /usr/lib/libkrb5support.so.0.0
004fe000-00505000 r-xp 00000000 fd:04 70684      /usr/lib/libpopt.so.0.0.0
00505000-00506000 rwxp 00006000 fd:04 70684      /usr/lib/libpopt.so.0.0.0
00527000-00528000 r-xp 00527000 00:00 0          [vdso]
0057d000-005cb000 r-xp 00000000 fd:04 68507      /usr/lib/libORBit-2.so.0.1.0
005cb000-005d4000 rwxp 0004e000 fd:04 68507      /usr/lib/libORBit-2.so.0.1.0
005d4000-005d5000 rwxp 005d4000 00:00 0
005d7000-00631000 r-xp 00000000 fd:04 70700      /usr/lib/libbonobo-2.so.0.0.0
00631000-0063b000 rwxp 0005a000 fd:04 70700      /usr/lib/libbonobo-2.so.0.0.0
0063d000-00648000 r-xp 00000000 fd:04 70701      /usr/lib/libavahi-common.so.3.2 .0
00648000-00649000 rwxp 0000a000 fd:04 70701      /usr/lib/libavahi-common.so.3.2 .0
0064b000-00660000 r-xp 00000000 fd:04 70705      /usr/lib/libgnome-2.so.0.1306.1
00660000-00661000 rwxp 00015000 fd:04 70705      /usr/lib/libgnome-2.so.0.1306.1
00663000-0066f000 r-xp 00000000 fd:04 70707      /usr/lib/libgnome-keyring.so.0. 0.1
0066f000-00670000 rwxp 0000b000 fd:04 70707      /usr/lib/libgnome-keyring.so.0. 0.1
00672000-0068a000 r-xp 00000000 fd:04 69454      /usr/lib/libglade-2.0.so.0.0.7
0068a000-0068b000 rwxp 00018000 fd:04 69454      /usr/lib/libglade-2.0.so.0.0.7
00690000-00693000 r-xp 00000000 fd:04 70702      /usr/lib/libavahi-glib.so.1.0.0
00693000-00694000 rwxp 00002000 fd:04 70702      /usr/lib/libavahi-glib.so.1.0.0
00696000-006f9000 r-xp 00000000 fd:04 70704      /usr/lib/libgnomevfs-2.so.0.130
0.91
006f9000-006fe000 rwxp 00063000 fd:04 70704      /usr/lib/libgnomevfs-2.so.0.130
0.91
00712000-00721000 r-xp 00000000 fd:04 70703      /usr/lib/libavahi-client.so.3.1 .1
00721000-00722000 rwxp 0000e000 fd:04 70703      /usr/lib/libavahi-client.so.3.1 .1
00724000-00789000 r-xp 00000000 fd:04 70706      /usr/lib/libbonoboui-2.so.0.0.0
00789000-0078c000 rwxp 00064000 fd:04 70706      /usr/lib/libbonoboui-2.so.0.0.0
007ae000-007c6000 r-xp 00000000 fd:04 70660      /usr/lib/libgssapi_krb5.so.2.2
007c6000-007c7000 rwxp 00017000 fd:04 70660      /usr/lib/libgssapi_krb5.so.2.2
00836000-00877000 r-xp 00000000 fd:03 226546     /lib/libssl.so.0.9.8a
00877000-0087b000 rwxp 00040000 fd:03 226546     /lib/libssl.so.0.9.8a
00884000-0088b000 r-xp 00000000 fd:04 69323      /usr/lib/libfam.so.0.0.0
0088b000-0088c000 rwxp 00006000 fd:04 69323      /usr/lib/libfam.so.0.0.0
008b0000-00981000 r-xp 00000000 fd:03 226547     /lib/libasound.so.2.0.0
00981000-00986000 rwxp 000d0000 fd:03 226547     /lib/libasound.so.2.0.0
00988000-0098a000 r-xp 00000000 fd:03 226550     /lib/libutil-2.3.90.so
0098a000-0098b000 r-xp 00001000 fd:03 226550     /lib/libutil-2.3.90.so
0098b000-0098c000 rwxp 00002000 fd:03 226550     /lib/libutil-2.3.90.so
0098e000-009b5000 r-xp 00000000 fd:04 70208      /usr/lib/libaudiofile.so.0.0.2
009b5000-009b9000 rwxp 00026000 fd:04 70208      /usr/lib/libaudiofile.so.0.0.2
009bb000-009c5000 r-xp 00000000 fd:04 70689      /usr/lib/libesd.so.0.2.36
009c5000-009c6000 rwxp 00009000 fd:04 70689      /usr/lib/libesd.so.0.2.36
009c8000-00a59000 r-xp 00000000 fd:04 70708      /usr/lib/libgnomeui-2.so.0.1300 .3
00a59000-00a5d000 rwxp 00090000 fd:04 70708      /usr/lib/libgnomeui-2.so.0.1300 .3
00aa8000-00bcb000 r-xp 00000000 fd:03 226536     /lib/libc-2.3.90.so
00bcb000-00bce000 r-xp 00122000 fd:03 226536     /lib/libc-2.3.90.so
00bce000-00bcf000 rwxp 00125000 fd:03 226536     /lib/libc-2.3.90.so
00bcf000-00bd2000 rwxp 00bcf000 00:00 0
00bd4000-00bf7000 r-xp 00000000 fd:03 226537     /lib/libm-2.3.90.so
00bf7000-00bf8000 r-xp 00022000 fd:03 226537     /lib/libm-2.3.90.so
00bf8000-00bf9000 rwxp 00023000 fd:03 226537     /lib/libm-2.3.90.so
00bfb000-00bfd000 r-xp 00000000 fd:03 226538     /lib/libdl-2.3.90.so
00bfd000-00bfe000 r-xp 00001000 fd:03 226538     /lib/libdl-2.3.90.so
00bfe000-00bff000 rwxp 00002000 fd:03 226538     /lib/libdl-2.3.90.so
00c01000-00c13000 r-xp 00000000 fd:04 70637      /usr/lib/libz.so.1.2.3
00c13000-00c14000 rwxp 00011000 fd:04 70637      /usr/lib/libz.so.1.2.3
00c16000-00c1b000 r-xp 00000000 fd:04 70641      /usr/lib/libXdmcp.so.6.0.0
00c1b000-00c1c000 rwxp 00004000 fd:04 70641      /usr/lib/libXdmcp.so.6.0.0
00c1e000-00d17000 r-xp 00000000 fd:04 70642      /usr/lib/libX11.so.6.2.0
00d17000-00d1b000 rwxp 000f9000 fd:04 70642      /usr/lib/libX11.so.6.2.0
00d1d000-00d1f000 r-xp 00000000 fd:04 70640      /usr/lib/libXau.so.6.0.0
00d1f000-00d20000 rwxp 00001000 fd:04 70640      /usr/lib/libXau.so.6.0.0
00d22000-00d31000 r-xp 00000000 fd:04 70644      /usr/lib/libXext.so.6.4.0
00d31000-00d32000 rwxp 0000e000 fd:04 70644      /usr/lib/libXext.so.6.4.0
00d34000-00d9f000 r-xp 00000000 fd:04 70649      /usr/lib/libfreetype.so.6.3.8
00d9f000-00da2000 rwxp 0006a000 fd:04 70649      /usr/lib/libfreetype.so.6.3.8
00da4000-00dc3000 r-xp 00000000 fd:03 226539     /lib/libexpat.so.0.5.0
00dc3000-00dc5000 rwxp 0001e000 fd:03 226539     /lib/libexpat.so.0.5.0
00dc7000-00dd5000 r-xp 00000000 fd:03 226540     /lib/libpthread-2.3.90.so
00dd5000-00dd6000 r-xp 0000d000 fd:03 226540     /lib/libpthread-2.3.90.so
00dd6000-00dd7000 rwxp 0000e000 fd:03 226540     /lib/libpthread-2.3.90.so
00dd7000-00dd9000 rwxp 00dd7000 00:00 0
00ddb000-00de3000 r-xp 00000000 fd:04 70643      /usr/lib/libXrender.so.1.3.0
00de3000-00de4000 rwxp 00007000 fd:04 70643      /usr/lib/libXrender.so.1.3.0
00de6000-00def000 r-xp 00000000 fd:04 70647      /usr/lib/libXcursor.so.1.0.2
00def000-00df0000 rwxp 00008000 fd:04 70647      /usr/lib/libXcursor.so.1.0.2
00df2000-00df5000 r-xp 00000000 fd:04 70645      /usr/lib/libXrandr.so.2.0.0
00df5000-00df6000 rwxp 00002000 fd:04 70645      /usr/lib/libXrandr.so.2.0.0
00df8000-00dfa000 r-xp 00000000 fd:04 70648      /usr/lib/libXinerama.so.1.0.0
00dfa000-00dfb000 rwxp 00001000 fd:04 70648      /usr/lib/libXinerama.so.1.0.0
00e42000-00e43000 r-xp 00000000 fd:04 131731     /usr/lib/gconv/ISO8859-1.so
00e43000-00e45000 rwxp 00000000 fd:04 131731     /usr/lib/gconv/ISO8859-1.so
00e45000-00f64000 r-xp 00000000 fd:03 226545     /lib/libcrypto.so.0.9.8a
00f64000-00f77000 rwxp 0011e000 fd:03 226545     /lib/libcrypto.so.0.9.8a
00f77000-00f7a000 rwxp 00f77000 00:00 0
048b0000-04941000 r-xp 00000000 fd:04 69191      /usr/lib/libglib-2.0.so.0.902.4
04941000-04942000 rwxp 00091000 fd:04 69191      /usr/lib/libglib-2.0.so.0.902.4
04944000-0495a000 r-xp 00000000 fd:04 69148      /usr/lib/libart_lgpl_2.so.2.3.1 7
0495a000-0495b000 rwxp 00016000 fd:04 69148      /usr/lib/libart_lgpl_2.so.2.3.1 7
0495d000-04974000 r-xp 00000000 fd:04 68539      /usr/lib/libgdk_pixbuf-2.0.so.0
.800.12
04974000-04975000 rwxp 00016000 fd:04 68539      /usr/lib/libgdk_pixbuf-2.0.so.0
.800.12
04977000-0499e000 r-xp 00000000 fd:04 70674      /usr/lib/libpangoft2-1.0.so.0.1
105.0
0499e000-0499f000 rwxp 00027000 fd:04 70674      /usr/lib/libpangoft2-1.0.so.0.1
105.0
049a1000-049dd000 r-xp 00000000 fd:04 70672      /usr/lib/libpango-1.0.so.0.1105 .0
049dd000-049df000 rwxp 0003b000 fd:04 70672      /usr/lib/libpango-1.0.so.0.1105 .0
049e1000-04a32000 r-xp 00000000 fd:04 70673      /usr/lib/libcairo.so.2.2.3
04a32000-04a33000 rwxp 00050000 fd:04 70673      /usr/lib/libcairo.so.2.2.3
04a35000-04a3c000 r-xp 00000000 fd:04 70676      /usr/lib/libXi.so.6.0.0
04a3c000-04a3d000 rwxp 00007000 fd:04 70676      /usr/lib/libXi.so.6.0.0
04a3f000-04a47000 r-xp 00000000 fd:04 70675      /usr/lib/libpangocairo-1.0.so.0
.1105.0
04a47000-04a48000 rwxp 00007000 fd:04 70675      /usr/lib/libpangocairo-1.0.so.0
.1105.0
04a4a000-04ad1000 r-xp 00000000 fd:04 70677      /usr/lib/libgdk-x11-2.0.so.0.80
0.12
04ad1000-04ad4000 rwxp 00087000 fd:04 70677      /usr/lib/libgdk-x11-2.0.so.0.80
0.12
04ad6000-04df3000 r-xp 00000000 fd:04 70679      /usr/lib/libgtk-x11-2.0.so.0.80
0.12
04df3000-04dfb000 rwxp 0031d000 fd:04 70679      /usr/lib/libgtk-x11-2.0.so.0.80
0.12
04dfb000-04dfe000 rwxp 04dfb000 00:00 0
04e00000-04e1a000 r-xp 00000000 fd:04 70678      /usr/lib/libatk-1.0.so.0.1112.0
04e1a000-04e1c000 rwxp 00019000 fd:04 70678      /usr/lib/libatk-1.0.so.0.1112.0
04e1e000-04e4a000 r-xp 00000000 fd:04 68505      /usr/lib/libgnomecanvas-2.so.0.
1300.0
04e4a000-04e4b000 rwxp 0002c000 fd:04 68505      /usr/lib/libgnomecanvas-2.so.0.
1300.0
05511000-05635000 r-xp 00000000 fd:04 70666      /usr/lib/libxml2.so.2.6.23
05635000-0563d000 rwxp 00124000 fd:04 70666      /usr/lib/libxml2.so.2.6.23
0563d000-0563e000 rwxp 0563d000 00:00 0
08048000-0806d000 r-xp 00000000 fd:04 1212428    /usr/sbin/gdmsetup
0806d000-08071000 rw-p 00024000 fd:04 1212428    /usr/sbin/gdmsetup
081ad000-084f2000 rw-p 081ad000 00:00 0          [heap]
b2600000-b2621000 rw-p b2600000 00:00 0
b2621000-b2700000 ---p b2621000 00:00 0
b27b8000-b2818000 rw-s 00000000 00:07 2916370    /SYSV00000000 (deleted)
b2818000-b2825000 r--p 00000000 fd:04 2065682    /usr/share/fonts/bitstream-vera
/VeraMono.ttf
b2825000-b2835000 r--p 00000000 fd:04 2065676    /usr/share/fonts/bitstream-vera
/VeraBI.ttf
b2835000-b2845000 r--p 00000000 fd:04 2065678    /usr/share/fonts/bitstream-vera
/VeraIt.ttf
b2845000-b2846000 ---p b2845000 00:00 0
b2846000-b3246000 rw-p b2846000 00:00 0
b3246000-b3247000 ---p b3246000 00:00 0
b3247000-b3c47000 rw-p b3247000 00:00 0
b3c47000-b3c56000 r--p 00000000 fd:04 2065677    /usr/share/fonts/bitstream-vera
/VeraBd.ttf
b3c56000-b3c57000 ---p b3c56000 00:00 0
b3c57000-b4657000 rw-p b3c57000 00:00 0
b4657000-b4f29000 r--p 00000000 fd:04 1245199    /usr/share/icons/hicolor/icon-t
heme.cache
b4f29000-b676d000 r--p 00000000 fd:04 2333022    /usr/share/icons/crystalsvg/ico
n-theme.cache
b676d000-b7046000 r--p 00000000 fd:04 983047     /usr/share/icons/gnome/icon-the
me.cache
b7046000-b7d39000 r--p 00000000 fd:04 2003842    /usr/share/icons/Bluecurve/icon
-theme.cache
b7d39000-b7d47000 r--p 00000000 fd:04 2102831    /usr/share/icons/Clearlooks/ico
n-theme.cache
b7d47000-b7d48000 ---p b7d47000 00:00 0
b7d48000-b7d88000 rw-p b7d48000 00:00 0
b7d88000-b7d99000 r--p 00000000 fd:04 2065675    /usr/share/fonts/bitstream-vera
/Vera.ttf
b7d99000-b7da2000 r--s 00001000 fd:03 128875     /var/cache/fontconfig/c974e4c60
d201a21112df444ab73ef55.cache-2
b7da2000-b7fa2000 r--p 00000000 fd:04 67818      /usr/lib/locale/locale-archive
b7fa2000-b7fa9000 rw-p b7fa2000 00:00 0
b7fad000-b7faf000 r--s 00001000 fd:03 128443     /var/cache/fontconfig/d0852e610
7e29cf2370e29e932b671e8.cache-2
b7faf000-b7fb2000 r--s 00001000 fd:03 128441     /var/cache/fontconfig/0ff6f82db
f790ad053eeb7e60fb69f01.cache-2
b7fb2000-b7fbd000 r--s 00001000 fd:03 128711     /var/cache/fontconfig/ffbeb93d6
6ada2631f4f047962e1ab5b.cache-2
b7fbd000-b7fc4000 r--s 00000000 fd:04 131790     /usr/lib/gconv/gconv-modules.ca che
b7fc4000-b7fc5000 rw-p b7fc4000 00:00 0
bfeaf000-bfec5000 rw-p bfeaf000 00:00 0          [stack]


Expected results:


Additional info:
Comment 1 Frank Arnold 2006-02-26 08:55:13 EST
Upstream bug (fixed): http://bugzilla.gnome.org/show_bug.cgi?id=331312
Comment 2 Tom Marchant 2006-02-26 15:21:53 EST
I ran yum update to resolve another bug and now it behaves differently, even
though there did not seem to be an update to gdm or gdmsetup.  Now, when I
select it from the panel menu, it does not seem to crash.  When I start it from
a terminal, I get this:

[tom@localhost ~]$ gdmsetup

(gdmsetup:21148): Pango-WARNING **: Invalid UTF-8 string passed to
pango_layout_set_text()

(gdmsetup:21148): Pango-WARNING **: Invalid UTF-8 string passed to
pango_layout_set_text()


These messaged come up just before the window is displayed and after the prompt
for the root password.  Then if I exit and issue gdmsetup again, there is no
prompt for a password and the messages are not issued.

Also, the login screen does not show the the login choices when Happy Gnome with
Browser is selected.  The area where the browser should appear on the left is
just a white box.
Comment 3 Matthew Miller 2007-04-06 12:41:36 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 4 Ray Strode [halfline] 2007-08-14 11:46:31 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to CANTFIX, however if you still
experience this problem after updating to our latest Fedora
Core release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

(this message is mass message)

Note You need to log in before you can comment on or make changes to this bug.